library counting;

import 'package:flutter/material.dart';

/// A Calculator.
class CustomButton extends StatelessWidget {
  var onPressed;
  final Widget child;

  CustomButton({Key? key, @required this.onPressed, required this.child})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return TextButton(
      onPressed: onPressed,
      style: TextButton.styleFrom(
        padding: const EdgeInsets.all(16.0),
        primary: Colors.white,
        backgroundColor: Colors.blue,
        elevation: 9.0,
        textStyle: const TextStyle(
          fontSize: 20,
        ),
      ),
      child: Text("pragnesh palsana"),
    );
  }
}

class CustomButton1 extends StatelessWidget {
  var onPressed;
  final Widget child;
  Color color;

  CustomButton1(
      {Key? key,
      @required this.onPressed,
      required this.child,
      required this.color})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return TextButton(
      onPressed: onPressed,
      style: TextButton.styleFrom(
        padding: const EdgeInsets.all(16.0),
        primary: Colors.white,
        backgroundColor: color,
        elevation: 9.0,
        textStyle: const TextStyle(
          fontSize: 20,
        ),
      ),
      child: child,
    );
  }
}
